@font-face {
  font-family: JnJ;
  src: url(../fonts/JCircular-Book.otf) format("opentype");
}

html
{
	color: #212121;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	user-select: none;
  background: white;
}
*, *:before, *:after {
  -webkit-box-sizing: inherit;
  -moz-box-sizing: inherit;
  box-sizing: inherit;
  }
body {
		min-width: 100vw;
		min-height: 100vh;
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    right: auto;
    bottom: auto;
    overflow: hidden;
    margin: 0;
    padding: 0;
		font-family: 'JnJ' !important;
    background: white;
    -webkit-tap-highlight-color: transparent;

}
#OPT_A_Container_Label {
	font-family: 'JnJ' !important;
}
p {
	margin: 0;
}
.eModel {
	position: absolute;
}
#eModelContainer {
	display: none;
}
#button_container {
	position: absolute;
	z-index: 1;
	left: 30px;
	top: 30px;
	width: 0;
	transform: scale(0.8);
}
#pmWrapperApp {
  width: 100%;
  height: 100%;
  display: none;
}
#pmWrapperPlaceholder {
  width: 100%;
  height: 100%;
  display: flex;
}

#overlay {
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  background: gray;
  opacity: 0;
  z-index: 100;
  align-items: center;
  justify-content: center;
  display: block;
  user-select: none;
  pointer-events: none;
  transition: 1s all;
}

#overlayText {
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  opacity: 0;
  z-index: 110;
  align-items: center;
  justify-content: center;
  display: block;
  user-select: none;
  pointer-events: none;
  font-size: 25px;
  color: white;
  transition: 1s all;
}

#pmWrapperPlaceholderBg:hover + #pmWrapperLoadBtn {
  transform: scale(1.2);
  background:  #000099;
}



#pmWrapperPlaceholderBg {
  width: 100%;
  height: 100%;
  display: flex;
  background-image: url('../media/thumbnail.png');
  position: absolute;
  z-index: 10;
  align-items: center;
  justify-content: center;
  filter: blur(8px);
  -webkit-filter: blur(8px);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
  cursor: pointer;
}

#pmWrapperLeaveBtn {
  position: absolute;
  top: 20px;
  right: 20px;
  width: 80px;
  height: 80px;
  cursor: pointer;
  z-index: 30;
  display: none;
}

#pmWrapperLeaveBtn:hover {
  transition: all 0.5s;
  transform: scale(1.2);
}

#pmWrapperLoadBtn {
  border: 1px solid transparent;
  background: #888B8D;
  padding: 30px;
  border-radius: 200px;
  cursor: pointer;
  position: absolute;
  z-index: 15;
  text-align: center;
  left: calc(50% - 58px);
  top: calc(50% - 25px);
  transition: all 0.5s;
  user-select: none;
  pointer-events: none;
  min-width: 112px;
  min-height: 112px;
}

#pmWrapperLoadBtn i {
  font-size: 60px;
  color: white;
  transition: all 0.5s;
}

.toggledisabled {
    opacity: 0.25;
    pointer-events: none;
	}

/* Toggle with custom label */
.btnToggleCustomLabel .toggle-label {
  position: relative;
  display: block;
  width: 330px;
  height: 38px;
  margin-top: 8px;
  border: 3px solid #000099;
  border-radius: 50px;
	cursor:pointer;
}
.btnToggleCustomLabel .toggle-label input[type=checkbox] {
  opacity: 0;
  position: absolute;
  width: 100%;
  height: 100%;
}
.btnToggleCustomLabel .toggle-label input[type=checkbox]+.back {
  position: absolute;
  width: 100%;
  height: 100%;
  background:  white;
  transition: background 150ms linear;
  border-radius: 50px;
}
.btnToggleCustomLabel .toggle-label input[type=checkbox]:checked+.back {
  background:  white; /*blue*/
}

.btnToggleCustomLabel .toggle-label input[type=checkbox]+.back .toggle {
  display: block;
  position: absolute;
  content: ' ';
  background: #000099;
  width: 50%;
  height: 100%;
  transition: margin 150ms linear;
  border: 2px solid white;
  border-radius: 50px;
}
.btnToggleCustomLabel .toggle-label input[type=checkbox]:checked+.back .toggle {
  margin-left: 162px;

}
.btnToggleCustomLabel .toggle-label .label {
  display: block;
  position: absolute;
  width: 50%;
  color: white;
  line-height: 35px;
  text-align: center;
  font-size: 16px;
}
.btnToggleCustomLabel .toggle-label .label.on { left: 0px; }
.btnToggleCustomLabel .toggle-label .label.off { right: 0px; }

.btnToggleCustomLabel .toggle-label input[type=checkbox]:checked+.back .label.on {
  color: #000099;
}
.btnToggleCustomLabel .toggle-label input[type=checkbox]+.back .label.off {
  color: #000099;
}
.btnToggleCustomLabel .toggle-label input[type=checkbox]:checked+.back .label.off {
  color: white;
}


/* Toggle Toggle with on/off */
.btnToggleOnOff {
	margin-top: 15px;
}
.btnToggleOnOff .flexOnOff {
	display: flex;
	flex-direction: row;
	width: 330px;
	justify-content: space-between;
	align-items: center;
}
.btnToggleOnOff .toggle-label {
	cursor: pointer;
  position: relative;
  display: block;
  width: 100px;
  height: 38px;
  margin-top: 8px;
  border: 3px solid #000099;
  border-radius: 50px;
}
.btnToggleOnOff .toggle-label input[type=checkbox] {
  opacity: 0;
  position: absolute;
  width: 100%;
  height: 100%;
}
.btnToggleOnOff .toggle-label input[type=checkbox]+.back {
  position: absolute;
  width: 100%;
  height: 100%;
  background:  white;
  transition: background 150ms linear;
  border-radius: 50px;
}
.btnToggleOnOff .toggle-label input[type=checkbox]:checked+.back {
  background:  white; /*blue*/
}

.btnToggleOnOff .toggle-label input[type=checkbox]+.back .toggle {
  display: block;
  position: absolute;
  content: ' ';
  background: #000099;
  width: 50%;
  height: 100%;
  transition: margin 150ms linear;
  border: 2px solid white;
  border-radius: 50px;
}
.btnToggleOnOff .toggle-label input[type=checkbox]:checked+.back .toggle {
  margin-left: 47px;

}
.btnToggleOnOff .toggle-label .label {
  display: block;
  position: absolute;
  width: 50%;
  color: white;
  line-height: 35px;
  text-align: center;
  font-size: 16px;
}
.btnToggleOnOff .toggle-label .label.on { left: 0px; }
.btnToggleOnOff .toggle-label .label.off { right: 0px; }

.btnToggleOnOff .toggle-label input[type=checkbox]:checked+.back .label.on {
  color: #000099;
}
.btnToggleOnOff .toggle-label input[type=checkbox]+.back .label.off {
  color: #000099;
}
.btnToggleOnOff .toggle-label input[type=checkbox]:checked+.back .label.off {
  color: white;
}
.flexOnOffLabel p {
	word-break: normal;
	margin-top: 11px;
	padding-right: 15px;
}

.footerContainer {
	position: absolute;
	z-index: 100;
	left: 10px;
	bottom: 10px;
}
.footerText {
	color: #888B8D;
	font-size: 12px;
}

.mobileDropDownFlex {
	display: none;
	cursor: pointer;
}
#button_container_mobile {
	display: none;
}
.zoomLevel {
	display: flex;
	flex-direction: row;
	width: 100px;
	position: absolute;
	bottom:0;
	right: 0;
	border-left: 1px solid black;
	border-top: 1px solid black;
	border-right: 1px solid black;
	text-align: center;
}
.zoomLevelMinus, .zoomLevelPlus {
	width: 20%;
}
.zoomLevelValue {
	width: 60%;
}


/* On screens that are 600px or less*/
@media screen and (max-width: 950px) {

#button_container {
	border: 1px solid black;
	position: absolute;
	width: 300px;
	top: auto;
	bottom: 208px;
	left: 10px;
	padding-left: 20px;
	padding-right: 20px;
	padding-bottom: 30px;
	background: white;
	opacity: 0.8 !important;
	transform: scale(1);
}
.mobileDisabled {
	display: none;
}
.mobileEnabled {
	display: block;
}
.mobileDropDownFlex {
	display: none;
	position: absolute;
	z-index: 100000;
	flex-direction: row;
	justify-content: space-between;
	left: 0px;
	bottom: 100px;
	width: 300px;
	border: 1px solid black;
	background: white;
	padding-left: 20px;
	padding-right: 20px;
	padding-top: 5px;
	padding-bottom: 5px;
	color: #000099;
}
.btnToggleCustomLabel {

}
/* Toggle with custom label */
.btnToggleCustomLabel .toggle-label {
  position: relative;
  display: block;
  width: 250px;
  height: 30px;
  margin-top: 8px;
  border: 3px solid #000099;
  border-radius: 50px;
}
.btnToggleCustomLabel .toggle-label input[type=checkbox] {
  opacity: 0;
  position: absolute;
  width: 100%;
  height: 100%;
}
.btnToggleCustomLabel .toggle-label input[type=checkbox]+.back {
  position: absolute;
  width: 100%;
  height: 100%;
  background:  white;
  transition: background 150ms linear;
  border-radius: 50px;
}
.btnToggleCustomLabel .toggle-label input[type=checkbox]:checked+.back {
  background:  white; /*blue*/
}

.btnToggleCustomLabel .toggle-label input[type=checkbox]+.back .toggle {
  display: block;
  position: absolute;
  content: ' ';
  background: #000099;
  width: 50%;
  height: 100%;
  transition: margin 150ms linear;
  border: 2px solid white;
  border-radius: 50px;
}
.btnToggleCustomLabel .toggle-label input[type=checkbox]:checked+.back .toggle {
  margin-left: 122px;

}
.btnToggleCustomLabel .toggle-label .label {
  display: block;
  position: absolute;
  width: 50%;
  color: white;
  line-height: 24px;
  text-align: center;
  font-size: 12px;
}
.btnToggleCustomLabel .toggle-label .label.on { left: 0px; }
.btnToggleCustomLabel .toggle-label .label.off { right: 0px; }

.btnToggleCustomLabel .toggle-label input[type=checkbox]:checked+.back .label.on {
  color: #000099;
}
.btnToggleCustomLabel .toggle-label input[type=checkbox]+.back .label.off {
  color: #000099;
}
.btnToggleCustomLabel .toggle-label input[type=checkbox]:checked+.back .label.off {
  color: white;
}


/* Toggle Toggle with on/off */
.btnToggleOnOff {
	margin-top: 30px;
}
.btnToggleOnOff .flexOnOff {
	display: flex;
	flex-direction: row;
	width: 250px;
	justify-content: space-between;
}
.btnToggleOnOff .toggle-label {
  position: relative;
  display: block;
  width: 100px;
  height: 30px;
  margin-top: 8px;
  border: 3px solid #000099;
  border-radius: 50px;
}
.btnToggleOnOff .toggle-label input[type=checkbox] {
  opacity: 0;
  position: absolute;
  width: 100%;
  height: 100%;
}
.btnToggleOnOff .toggle-label input[type=checkbox]+.back {
  position: absolute;
  width: 100%;
  height: 100%;
  background:  white;
  transition: background 150ms linear;
  border-radius: 50px;
}
.btnToggleOnOff .toggle-label input[type=checkbox]:checked+.back {
  background:  white; /*blue*/
}

.btnToggleOnOff .toggle-label input[type=checkbox]+.back .toggle {
  display: block;
  position: absolute;
  content: ' ';
  background: #000099;
  width: 50%;
  height: 100%;
  transition: margin 150ms linear;
  border: 2px solid white;
  border-radius: 50px;
}
.btnToggleOnOff .toggle-label input[type=checkbox]:checked+.back .toggle {
  margin-left: 47px;

}
.btnToggleOnOff .toggle-label .label {
  display: block;
  position: absolute;
  width: 50%;
  color: white;
  line-height: 24px;
  text-align: center;
  font-size: 16px;
}
.btnToggleOnOff .toggle-label .label.on { left: 0px; }
.btnToggleOnOff .toggle-label .label.off { right: 0px; }

.btnToggleOnOff .toggle-label input[type=checkbox]:checked+.back .label.on {
  color: #000099;
}
.btnToggleOnOff .toggle-label input[type=checkbox]+.back .label.off {
  color: #000099;
}
.btnToggleOnOff .toggle-label input[type=checkbox]:checked+.back .label.off {
  color: white;
}
label.toggle-label {
	cursor: pointer;
}

.flexOnOffLabel p {
	word-break: normal;
	font-size: 12px;
	color: #000099;
}

.footerContainer {
	position: absolute;
	z-index: 100;
	left: 10px;
	bottom: 80px;
}
.footerText {
	color: #888B8D;
	font-size: 12px;
}
}

/* On screens that are 600px or less*/
@media screen and (max-width: 950px) and (orientation: landscape) {

#button_container {
	border: 1px solid black;
	position: absolute;
	width: 300px;
	bottom: 170px;
	left: 10px;
	padding-left: 20px;
	padding-right: 20px;
	padding-bottom: 30px;
	background: white;
	opacity: 0.8 !important;
	transform: scale(1);
  max-height: 50vh;
  overflow-y: scroll;
}
.mobileDisabled {
	display: none;
}
.mobileEnabled {
	display: block;
}
.mobileDropDownFlex {
	display: none;
	position: absolute;
	z-index: 100000;
	flex-direction: row;
	justify-content: space-between;
	left: 0px;
	bottom: 70px;
	width: 300px;
	border: 1px solid black;
	background: white;
	padding-left: 20px;
	padding-right: 20px;
	padding-top: 5px;
	padding-bottom: 5px;
	color: #000099;
}
.btnToggleCustomLabel {

}
/* Toggle with custom label */
.btnToggleCustomLabel .toggle-label {
  position: relative;
  display: block;
  width: 250px;
  height: 30px;
  margin-top: 8px;
  border: 3px solid #000099;
  border-radius: 50px;
  opacity: 1;
}
.btnToggleCustomLabel .toggle-label input[type=checkbox] {
  opacity: 0;
  position: absolute;
  width: 100%;
  height: 100%;
}
.btnToggleCustomLabel .toggle-label input[type=checkbox]+.back {
  position: absolute;
  width: 100%;
  height: 100%;
  background:  white;
  transition: background 150ms linear;
  border-radius: 50px;
}
.btnToggleCustomLabel .toggle-label input[type=checkbox]:checked+.back {
  background:  white; /*blue*/
}

.btnToggleCustomLabel .toggle-label input[type=checkbox]+.back .toggle {
  display: block;
  position: absolute;
  content: ' ';
  background: #000099;
  width: 50%;
  height: 100%;
  transition: margin 150ms linear;
  border: 2px solid white;
  border-radius: 50px;
}
.btnToggleCustomLabel .toggle-label input[type=checkbox]:checked+.back .toggle {
  margin-left: 122px;

}
.btnToggleCustomLabel .toggle-label .label {
  display: block;
  position: absolute;
  width: 50%;
  color: white;
  line-height: 24px;
  text-align: center;
  font-size: 12px;
}
.btnToggleCustomLabel .toggle-label .label.on { left: 0px; }
.btnToggleCustomLabel .toggle-label .label.off { right: 0px; }

.btnToggleCustomLabel .toggle-label input[type=checkbox]:checked+.back .label.on {
  color: #000099;
}
.btnToggleCustomLabel .toggle-label input[type=checkbox]+.back .label.off {
  color: #000099;
}
.btnToggleCustomLabel .toggle-label input[type=checkbox]:checked+.back .label.off {
  color: white;
}


/* Toggle Toggle with on/off */
.btnToggleOnOff {
	margin-top: 30px;
}
.btnToggleOnOff .flexOnOff {
	display: flex;
	flex-direction: row;
	width: 250px;
	justify-content: space-between;
  opacity: 1;
}
.btnToggleOnOff .toggle-label {
  position: relative;
  display: block;
  width: 100px;
  height: 30px;
  margin-top: 8px;
  border: 3px solid #000099;
  border-radius: 50px;
}
.btnToggleOnOff .toggle-label input[type=checkbox] {
  opacity: 0;
  position: absolute;
  width: 100%;
  height: 100%;
}
.btnToggleOnOff .toggle-label input[type=checkbox]+.back {
  position: absolute;
  width: 100%;
  height: 100%;
  background:  white;
  transition: background 150ms linear;
  border-radius: 50px;
}
.btnToggleOnOff .toggle-label input[type=checkbox]:checked+.back {
  background:  white; /*blue*/
}

.btnToggleOnOff .toggle-label input[type=checkbox]+.back .toggle {
  display: block;
  position: absolute;
  content: ' ';
  background: #000099;
  width: 50%;
  height: 100%;
  transition: margin 150ms linear;
  border: 2px solid white;
  border-radius: 50px;
}
.btnToggleOnOff .toggle-label input[type=checkbox]:checked+.back .toggle {
  margin-left: 47px;

}
.btnToggleOnOff .toggle-label .label {
  display: block;
  position: absolute;
  width: 50%;
  color: white;
  line-height: 24px;
  text-align: center;
  font-size: 16px;
}
.btnToggleOnOff .toggle-label .label.on { left: 0px; }
.btnToggleOnOff .toggle-label .label.off { right: 0px; }

.btnToggleOnOff .toggle-label input[type=checkbox]:checked+.back .label.on {
  color: #000099;
}
.btnToggleOnOff .toggle-label input[type=checkbox]+.back .label.off {
  color: #000099;
}
.btnToggleOnOff .toggle-label input[type=checkbox]:checked+.back .label.off {
  color: white;
}
label.toggle-label {
	cursor: pointer;
}

.flexOnOffLabel p {
	word-break: normal;
	font-size: 12px;
	color: #000099;
}

.footerContainer {
	position: absolute;
	z-index: 100;
	left: 10px;
	bottom: 80px;
}
.footerText {
	color: #888B8D;
	font-size: 12px;
}
}
